unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, StdCtrls, ExtCtrls, Grids, DBGrids, ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    CancelBtn: TButton;
    CreateBtn: TButton;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Database1: TDatabase;
    Table1: TTable;
    StatusBar1: TStatusBar;
    procedure CreateBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure ShowHint(Sender: TObject);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation
	{$R *.DFM}
  uses DBPublisher;


procedure TForm1.FormCreate(Sender: TObject);
begin
	Screen.Cursor := crHourGlass;
  Application.OnHint := self.ShowHint;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
	Table1.Close;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
	Table1.Open;
	Screen.Cursor := crDefault;
end;

procedure TForm1.ShowHint(Sender: TObject);
begin
  StatusBar1.SimpleText := Application.Hint;
end;

procedure TForm1.CreateBtnClick(Sender: TObject);
begin
	with ( TDB2Web.Create( self, HKEY_CURRENT_USER,
				 'SOFTWARE\BlueApe Software\DB2Web' ) ) do try
		if (RadioGroup1.ItemIndex=1) then
			DataSet := self.Table1
		else
			DataGrid := self.DBGrid1;
		PatternFile := 'Sample.html';
		ExportDir := '.\export\';
		HelpFileLoc := '..\runtime\help\';
		ShowSetup := CheckBox1.Checked;
		ShowPage := CheckBox2.Checked;
		Exec;
	finally
		Free;
	end;
end;

procedure TForm1.CancelBtnClick(Sender: TObject);
begin
	self.Close;
end;

end.
